DROP TABLE IF EXISTS Anketa_Uzivatel, Anketa_Odpoved, Anketa_Otazka;
CREATE TABLE Anketa_Uzivatel (
    idUzivatel INTEGER NOT NULL AUTO_INCREMENT,
    jmeno VARCHAR(255),
    CONSTRAINT PKUzivatel PRIMARY KEY (idUzivatel)
);

CREATE TABLE Anketa_Odpoved (
    idOdpoved INTEGER NOT NULL AUTO_INCREMENT,
    idUzivatel INTEGER NOT NULL,
    idOtazka INTEGER NOT NULL,
    zvoleno INTEGER NOT NULL,
    CONSTRAINT PKOdpoved PRIMARY KEY (idOdpoved),
    FOREIGN KEY (idUzivatel) REFERENCES Anketa_Uzivatel(idUzivatel),
    FOREIGN KEY (idOtazka) REFERENCES Anketa_Uzivatel(idOtazka)
);

CREATE TABLE Anketa_Otazka (
    idOtazka INTEGER NOT NULL AUTO_INCREMENT,
    text VARCHAR(255),
    varianta1 VARCHAR(255),
    varianta2 VARCHAR(255),
    varianta3 VARCHAR(255),
    varianta4 VARCHAR(255),
    CONSTRAINT PKOtazka PRIMARY KEY (idOtazka)
);
